div#maincontent {
    position: relative;
}

                @font-face {
                font-family: flipnote-hatena-font;
                src: url('https://bunbun-xd.neocities.org/flipnote-hatena-font.otf.woff2');
            }

            @font-face {
                font-family: flipnote-hatena-font;
                src: url('https://bunbun-xd.neocities.org/flipnote-hatena-font.otf.woff2');
                font-weight: bold;
            }

            @font-face {
                font-family: flipnote-hatena-font;
                src: url('https://bunbun-xd.neocities.org/flipnote-hatena-font.otf.woff2');
                font-style: italic;
            }

            @font-face {
                font-family: flipnote-hatena-font;
                src: url('https://bunbun-xd.neocities.org/flipnote-hatena-font.otf.woff2');
                font-style: italic;
                font-weight: bold;
            }
            
            
* {
    font-family: 'flipnote-hatena-font', sans-serif;
}


.grid-container {
    direction: rtl;
    display: grid;
    width: 1200px;
    margin: 0 auto;
    background-image: url("../images/backgrounds/grid-container-image.jpg");
    background-size: 1290px 1065px !important;
    background-position: right bottom, left top;
    background-repeat: no-repeat;
    background-color: white;
    gap: 20px;
    padding-right: 30px;
    padding-left: 60px;
    padding-top: 99px;
    padding-bottom: 30px;
    grid-template-columns: 300px 125px 500px 250px;
    grid-template-rows: 50px 300px 100px 250px 50px;
    position: relative;
}

.grid-container>div {
    direction: rtl;
    background-color: pink;
    padding: 10px;
}

/* bg shdaow */

.grid-container::before {
    box-shadow: 10px 10px 3px 0px #d197ff;
    mix-blend-mode: multiply;
    content: "";
    position: absolute;
    top: 0px;
    right: 0;
    left: 0;
    bottom: 0;
    z-index: -10;
}

.welcometxt {
    padding-right: 60px;
    padding-top: 35px;
    font-size: 30px;
    color: var(--purple);
    line-height: 1.2;
}
.videoftheweek {
    grid-row: 2;
    height: 140px;
    grid-column: 4/ 5;
    margin-top: 195px;
    padding: 0 !important;
    border: 5px solid #c186c0;
}

.videoftheweektitle {
    position: absolute;
    height: 70px;
    top: 330px;
    left: 33px;
}

input[type="checkbox"]:hover {
    cursor: url("https://files.catbox.moe/yv89ru.cur"), pointer;
}

.currently,
.updates,
#statuscafe-username {
    background-color: var(--pink);
    border-top: 5px solid var(--lightpink);
    border-left: 5px solid var(--lightpink);
    border-right: 5px solid var(--purple);
    border-bottom: 5px solid var(--purple);
    text-align: center;
}

.todo {
    padding-right: 10px;
    list-style: none;
}

.mood {
    position: absolute;
    right: 198px;
    margin-top: 8px;
    cursor: url("https://files.catbox.moe/yv89ru.cur"), pointer;
}
.musicplayeritem {
    grid-column: 4;
    grid-row: 4;
    direction: ltr !important;
    width: fit-content;
    /* Shrink to fit player width */
    height: fit-content;
    /* Shrink to fit player height */
    padding: 0 !important;
    align-self: end;
}

.clockitem {
    grid-column: 4/ 5;
    /* grid-row: 3; */
    background-image: url("../images/backgrounds/clockbg.gif");
    background-size: cover;
    background-repeat: no-repeat;
    border: 5px solid var(--purple);
    margin-top: 43px;
    position: relative;
}

.clock {
    /* padding-right: 20px; */
    /* font-size: 40px; */
    color: white;
    letter-spacing: 1px;
    /* margin-bottom: 50px!important; */
    /* padding-bottom: 40px; */
    position: absolute;
    top: -9px;
    right: 1px;
}

.item8 {
    background: var(--pink) !important;
    border-top: 5px solid var(--lightpink);
    border-left: 5px solid var(--lightpink);
    border-right: 5px solid var(--purple);
    border-bottom: 5px solid var(--purple);
    display: flex;
    align-items: center;
    justify-content: space-evenly !important;
    width: 1280px;
    margin: 40px auto;
    padding-bottom: 10px;
}

.item8,
.item8 div,
.item8 a {
    color: white;
}

.item8 a:hover {
    color: var(--purple);
}

.back-button {
    height: 150px;
    width: 150px;
    background: url("../images/icons/backbtn.png") no-repeat center / cover;
    background-repeat: no-repeat;
    background-size: cover;
    cursor: pointer;
    position: absolute;
    left: -300px;
    bottom: 500px;
    background-color: transparent !important;
}

.back-button:hover {
    background-image: url("../images/icons/backbtn2.png");
    background-repeat: no-repeat;
    background-size: cover;
    cursor: url("https://files.catbox.moe/yv89ru.cur"), pointer;
}

.hanger {
    height: 500px;
    width: auto;
    top: 380px;
    left: -290px;
    position: absolute;
    z-index: -1;
}

.blackcat {
    position: absolute;
    bottom: -40px;
    z-index: 1;
    height: 190px;
    right: -110px;
}

.construction {
    padding-bottom: 10px;
    justify-content: center;
    margin-top: 60px;
    height: 53px;
}

.marquee {
    overflow: hidden;
    display: flex;
    flex-wrap: nowrap;
    box-sizing: unset;
    width: 1225px;
    direction: ltr !important;
    background-color: var(--pink) !important;
    border: 5px solid var(--purple);
    padding: 0px !important;
    height: 39px;
}

.marquee-items {
    display: flex;
    flex-shrink: 0;
    height: 100%;
    /* This line is extremely important to prevent bugs on some browsers such as FireFox */
    min-width: 100%;
    position: relative;
}

/* Changes to this class will only affect the children
of the marquee-items, and not all of their descendants.
Make changes here if you want spaces in-between the
marquee items or other effects and styles!*/

.marquee-items>* {
    margin-right: 0px;
    height: 39px;
}

@keyframes scroll-r2l {
    from {
        transform: translateX(0);
    }
    to {
        transform: translateX(-100%);
    }
}

@keyframes scroll-l2r {
    from {
        transform: translateX(0);
    }
    to {
        transform: translateX(100%);
    }
}

.scroll-l2r {
    animation: scroll-l2r 55s linear infinite;
}

.scroll-r2l {
    animation: scroll-r2l 75s linear infinite;
}

.paused {
    -webkit-animation-play-state: paused;
    -moz-animation-play-state: paused;
    -o-animation-play-state: paused;
    animation-play-state: paused;
}

#marquee2 {
    /* grid-row: 6; */
    height: 76px;
}

#marquee2 img {
    height: 78px;
}

.flex {
    display: flex;
}

.mii {
    height: 460px;
    width: auto;
    position: absolute;
    bottom: -25px;
    left: -240px;
    z-index: 1000;
    transform: rotate(-25deg);
}

.whatsnew {
    position: absolute;
    height: 90px;
    left: 480px;
    bottom: 530px;
    z-index: 1;
}